(3)

NAME
boost::lambda::plain_return_type_2<arithmetic_action<_plus_action_>,_boost::units::quantity<_BOOST_UNITS_DIMENSIONLESS_UNIT(System),_X_>,_Y>

SYNOPSIS

// In header: <boost/units/lambda.hpp>
template<typename System, typename X, typename Y>
struct plain_return_type_2<arithmetic_action< plus_action >, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y> {
  // types
  typedef boost::units::add_typeof_helper< boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y >::type type;
};

DESCRIPTION

Partial specialization of return type trait for action quantity<dimensionless, X> + Y.